<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: vector/src/vector/private.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_1fe2e3f40887fbec9fd2493c34e7d145.html">vector</a></li><li class="navelem"><a class="el" href="dir_5c60f3e8c3954d5c5c5ecd5ca790863c.html">src</a></li><li class="navelem"><a class="el" href="dir_5af946dc53da9c500339702c4e564dc7.html">vector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">private.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="vector_2src_2vector_2private_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="vector_8h.html">vector/vector.h</a>&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;ErrorCode <a class="code" href="vector_2src_2vector_2private_8h.html#a423c93577413c3fc8b47b117bd651916">vector_firstAlloc</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;ErrorCode <a class="code" href="vector_2src_2vector_2private_8h.html#a0a4fa9dd217ec1de815de2f789da9a2d">vector_realloc</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;ErrorCode <a class="code" href="vector_2src_2vector_2private_8h.html#ad96d434d0467299d2476cf3662762f3b">vector_resize</a>(<a class="code" href="structVector.html">Vector</a>*<span class="keyword">const</span> vector);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="vector_2src_2vector_2private_8h_html_a423c93577413c3fc8b47b117bd651916"><div class="ttname"><a href="vector_2src_2vector_2private_8h.html#a423c93577413c3fc8b47b117bd651916">vector_firstAlloc</a></div><div class="ttdeci">ErrorCode vector_firstAlloc(Vector *const vector)</div><div class="ttdoc">This function performs the first allocation of a vector. </div><div class="ttdef"><b>Definition:</b> vector.c:76</div></div>
<div class="ttc" id="vector_2src_2vector_2private_8h_html_ad96d434d0467299d2476cf3662762f3b"><div class="ttname"><a href="vector_2src_2vector_2private_8h.html#ad96d434d0467299d2476cf3662762f3b">vector_resize</a></div><div class="ttdeci">ErrorCode vector_resize(Vector *const vector)</div><div class="ttdoc">This function resizes a vector. </div><div class="ttdef"><b>Definition:</b> vector.c:93</div></div>
<div class="ttc" id="structVector_html"><div class="ttname"><a href="structVector.html">Vector</a></div><div class="ttdoc">This struct represents simple vector. </div><div class="ttdef"><b>Definition:</b> vector.h:17</div></div>
<div class="ttc" id="vector_8h_html"><div class="ttname"><a href="vector_8h.html">vector.h</a></div><div class="ttdoc">This file contains declaration of vector. </div></div>
<div class="ttc" id="vector_2src_2vector_2private_8h_html_a0a4fa9dd217ec1de815de2f789da9a2d"><div class="ttname"><a href="vector_2src_2vector_2private_8h.html#a0a4fa9dd217ec1de815de2f789da9a2d">vector_realloc</a></div><div class="ttdeci">ErrorCode vector_realloc(Vector *const vector)</div><div class="ttdoc">This functions performs the reallocation of a vector. </div><div class="ttdef"><b>Definition:</b> vector.c:84</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
